diff --git a/src/proc.c b/src/proc.c
index 0b776ea807..7ea6fe7111 100644
--- a/src/proc.c
+++ b/src/proc.c
@@ -41,7 +41,7 @@ closure_setup(mrb_state *mrb, struct RProc *p, int nlocals)
 
   if (!mrb->c->ci->env) {
     e = (struct REnv*)mrb_obj_alloc(mrb, MRB_TT_ENV, (struct RClass*)mrb->c->ci->proc->env);
-    MRB_ENV_STACK_LEN(e) = (unsigned int)nlocals+1; /* add space for receiver */
+    MRB_ENV_STACK_LEN(e) = (unsigned int)nlocals;
     e->mid = mrb->c->ci->mid;
     e->cioff = mrb->c->ci - mrb->c->cibase;
     e->stack = mrb->c->stack;
